Subject: problems with zone alarm/XP SP2?
From: Lester Ingber <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 19 Aug 2004 14:42:05 -0700

I just installed Zone Labs zone alarm, and an having problems that
suggest similar problems may arise under Cygwin with the coming XP SP2?

When I try to start X windows, it fails with the log file below.
This is weird because a ps shows (I opened 2 cygwin non-X to write this):
      PID    PPID    PGID     WINPID  TTY  UID    STIME COMMAND
     2084       1    2084       2084  con 1005 14:30:52 /usr/bin/bash
     3160       1    3160       3160    ? 1005 14:30:54 /usr/sbin/cron
     1308    2084    1308       2300  con 1005 14:30:54 /usr/bin/tcsh
     3924       1    4016       3240  con 1005 14:31:18 /usr/X11R6/bin/XWin
     3060       1    4016        588  con 1005 14:31:19 /usr/bin/xterm
     3740       1    4016       3356  con 1005 14:31:20 /usr/bin/xterm
      676    3924    4016        592  con 1005 14:31:22 /usr/bin/sh
     3320       1    3320       3320  con 1005 14:35:31 /usr/bin/bash
     3136       1    3136       3136    ? 1005 14:35:33 /usr/sbin/cron
     2068    3320    2068       1972  con 1005 14:35:33 /usr/bin/tcsh
     3424    2068    3424        252  con 1005 14:35:46 /usr/bin/mutt
     1020    3424    3424       2484  con 1005 14:35:51 /usr/bin/sh
     3712    1020    3424        468  con 1005 14:35:51 /usr/bin/vim
     2576    1308    2576        192  con 1005 14:41:00 /usr/bin/ps

Does anyone have any experience with this?

    ------------8<------------ top cut -> bottom ------------->8------------
Welcome to the XWin X Server
Vendor: The Cygwin/X Project
Release: 6.7.0.0-12

Contact: [email-masked]

XWin was started with the following command line:

XWin -unixkill -emulate3buttons -clipboard -multiwindow 
-silent-dup-error 

ddxProcessArgument - Initializing default screens
winInitializeDefaultScreens - w 1600 h 1200
winInitializeDefaultScreens - Returning
winValidateArgs - g_iNumScreens: 1 iMaxConsecutiveScreen: 1
(II) XF86Config is not supported
(II) See http://x.cygwin.com/docs/faq/cygwin-x-faq.html for more information
winPrefsLoadPreferences: /home/ingber/.XWinrc
winDetectSupportedEngines - Windows NT/2000/XP
winDetectSupportedEngines - DirectDraw installed
winDetectSupportedEngines - DirectDraw4 installed
winDetectSupportedEngines - Returning, supported engines 00000007
winSetEngine - Multi Window or Rootless => ShadowGDI
winAdjustVideoModeShadowGDI - Using Windows display depth of 32 bits per pixel
winAllocateFBShadowGDI - Creating DIB with width: 1600 height: 1199 depth: 32
winFinishScreenInitFB - Masks: 00ff0000 0000ff00 000000ff
winInitVisualsShadowGDI - Masks 00ff0000 0000ff00 000000ff BPRGB 8 d 24 bpp 32
null screen fn ReparentWindow
null screen fn RestackWindow
InitQueue - Calling pthread_mutex_init
InitQueue - pthread_mutex_init returned
InitQueue - Calling pthread_cond_init
InitQueue - pthread_cond_init returned
winInitMultiWindowWM - Hello
winInitMultiWindowWM - Calling pthread_mutex_lock ()
winMultiWindowXMsgProc - Hello
winMultiWindowXMsgProc - Calling pthread_mutex_lock ()
MIT-SHM extension disabled due to lack of kernel support
XFree86-Bigfont extension local-client optimization disabled due to lack of shared memory support in the kernel
(--) Setting autorepeat to delay=500, rate=31
(--) winConfigKeyboard - Layout: "00000409" (00000409) 
(--) Using preset keyboard for "English (USA)" (409), type "4"
Rules = "xorg" Model = "pc105" Layout = "us" Variant = "(null)" Options = "(null)"
    ------------8<------------ bottom cut <- top ------------->8------------

Thanks.

Lester

-- 
 Prof. Lester Ingber  [email-masked]  [email-masked]
 www.ingber.com                     www.alumni.caltech.edu/~ingber

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/